# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.87"
name = "array_list"
version = "0.5.0"
authors = ["Davide Di Carlo <daddinuz@gmail.com>"]
build = false
exclude = [
    ".github/",
    ".gitignore",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A chunked ordered collection with iterators and cursors"
documentation = "https://docs.rs/array_list"
readme = "README.md"
keywords = [
    "array",
    "collections",
    "linked-list",
    "list",
    "vec",
]
categories = [
    "data-structures",
    "no-std",
]
license = "MIT"
repository = "https://github.com/daddinuz/array_list"

[lib]
name = "array_list"
path = "src/lib.rs"

[[bench]]
name = "benchmark"
path = "benches/benchmark.rs"
harness = false

[dependencies.cap_vec]
version = "0.3"

[dev-dependencies.criterion]
version = "0.8"

[dev-dependencies.proptest]
version = "1"

[lints.rust.unexpected_cfgs]
level = "warn"
priority = 0
check-cfg = ["cfg(miri)"]
